using System;
using System.Collections.Generic;
using System.Text;
using JuSNS.Factory;

namespace JuSNS.SQLServer
{
    public class ApiUser : DbBase, IApiUser
    {
        #region 接口实现
        /// <summary>
        /// 取得字段属性
        /// </summary>
        /// <param name="Field">字段名称</param>
        /// <param name="UserID">用户ID</param>
        /// <returns></returns>
        public string GetProperty(int UserID, string Field)
        {
            return string.Empty;
        }
        /// <summary>
        /// 取得所有的字段属性
        /// </summary>
        /// <param name="Fields">字段名称</param>
        /// <param name="UserID">用户ID</param>
        /// <returns></returns>
        public Dictionary<string, string> GetAllProperty(int UserID, string[] Fields)
        {
            return null;
        }
        /// <summary>
        /// 是否有这个字段
        /// </summary>
        /// <param name="Field">字段名称</param>
        /// <returns></returns>
        public bool HasField(string Field)
        {
            return false;
        }
        /// <summary>
        /// 取得所有字段名称
        /// </summary>
        /// <returns></returns>
        public string[] GetFields()
        {
            return null;
        }
        /// <summary>
        /// 设置某个字段的值
        /// </summary>
        /// <param name="UserID">用户ID</param>
        /// <param name="Field"></param>
        /// <param name="value"></param>
        /// <returns></returns>
        public int SetField(int UserID, string Field, object value)
        {
            return 0;
        }     

        #endregion

        /// <summary>
        /// 根据字段名取得表名
        /// </summary>
        /// <param name="fieldName">字段名称</param>
        /// <returns></returns>
        private string GetTableName(string fieldName)
        {
            //string[] baseInfo={

            //}
            return string.Empty;
        }
    }
}
